mixed-port: 7890
allow-lan: true
mode: rule
log-level: info
ipv6: true
external-controller: 127.0.0.1:9090
dns:
  enable: true
  listen: 0.0.0.0:1053
  ipv6: true
  enhanced-mode: fake-ip
  fake-ip-range: 198.18.0.1/16
  default-nameserver:
    - 223.5.5.5
    - 119.29.29.29
  nameserver:
    - https://dns.alidns.com/dns-query
    - https://doh.pub/dns-query
proxies:
  - name: 🇨🇦_CA_加拿大->🇩🇪_DE_德国
    type: trojan
    server: 103.177.136.45
    port: 46424
    password: 4f4d1167-ef14-4304-9bce-0740472503ef
    sni: de.01.naiun.bilibili.com
    skip-cert-verify: true
    tls: false
    udp: true
  - name: 🇳🇱_NL_荷兰
    type: vless
    server: 79.127.227.57
    port: 8443
    uuid: 394f6981-a782-4779-9a85-e6cf22935d93
    servername: ams1.fromblancwithlove.com
    tls: true
    client-fingerprint: chrome
    skip-cert-verify: true
    udp: true
  - name: 🇭🇰_HK_中国香港
    type: vmess
    server: v10.hdacd.com
    port: 30807
    uuid: cbb3f877-d1fb-344c-87a9-d153bffd5484
    alterId: 2
    cipher: auto
    tls: false
    skip-cert-verify: true
    udp: true
  - name: 🇳🇱_NL_荷兰_1
    type: vless
    server: 185.229.191.111
    port: 8443
    uuid: 394f6981-a782-4779-9a85-e6cf22935d93
    servername: ams1.fromblancwithlove.com
    tls: true
    client-fingerprint: chrome
    skip-cert-verify: true
    udp: true
  - name: 🇷🇴_RO_罗马尼亚
    type: vless
    server: 95.173.199.69
    port: 8443
    uuid: 394f6981-a782-4779-9a85-e6cf22935d93
    servername: ams1.fromblancwithlove.com
    tls: true
    client-fingerprint: chrome
    skip-cert-verify: true
    udp: true
  - name: 🇵🇱_PL_波兰
    type: vless
    server: 83.168.71.216
    port: 443
    uuid: a18f7c2d-9e45-4b8a-af3c-1d5e7f9c8b2a
    servername: ads.x5.ru
    tls: true
    client-fingerprint: chrome
    reality-opts:
      public-key: 8h8t5eBWL9oERK7xWHQLFJE5j6sZdgNDQAs3EGnNbho
      short-id: 2f49bccf11150ef2
    skip-cert-verify: true
    udp: true
  - name: 🇨🇳_CN_中国
    type: ss
    server: 61.171.92.202
    port: 1001
    cipher: aes-256-gcm
    password: "123"
    skip-cert-verify: true
    udp: true
  - name: 🇺🇦_UA_乌克兰
    type: vless
    server: 143.244.45.50
    port: 8443
    uuid: 394f6981-a782-4779-9a85-e6cf22935d93
    servername: ams1.fromblancwithlove.com
    tls: true
    client-fingerprint: chrome
    skip-cert-verify: true
    udp: true
  - name: 🇮🇩_ID_印度尼西亚->🇩🇪_DE_德国
    type: vmess
    server: v33.hdacd.com
    port: 30833
    uuid: cbb3f877-d1fb-344c-87a9-d153bffd5484
    alterId: 2
    cipher: auto
    tls: false
    skip-cert-verify: true
    udp: true
  - name: 🇸🇬_SG_新加坡->🇫🇷_FR_法国
    type: vmess
    server: v35.hdacd.com
    port: 30835
    uuid: cbb3f877-d1fb-344c-87a9-d153bffd5484
    alterId: 2
    cipher: auto
    tls: false
    skip-cert-verify: true
    udp: true
  - name: 🇸🇪_SE_瑞典
    type: vless
    server: 79.127.249.221
    port: 8443
    uuid: 394f6981-a782-4779-9a85-e6cf22935d93
    servername: ams1.fromblancwithlove.com
    tls: true
    client-fingerprint: chrome
    skip-cert-verify: true
    udp: true
  - name: 🇹🇷_TR_土耳其
    type: vless
    server: 87.249.139.237
    port: 8443
    uuid: 394f6981-a782-4779-9a85-e6cf22935d93
    servername: ams1.fromblancwithlove.com
    tls: true
    client-fingerprint: chrome
    skip-cert-verify: true
    udp: true
  - name: 🇳🇱_NL_荷兰_2
    type: vless
    server: 185.229.191.180
    port: 8443
    uuid: 394f6981-a782-4779-9a85-e6cf22935d93
    servername: ams1.fromblancwithlove.com
    tls: true
    client-fingerprint: chrome
    skip-cert-verify: true
    udp: true
  - name: 🇺🇦_UA_乌克兰_1
    type: vless
    server: 143.244.45.53
    port: 8443
    uuid: 394f6981-a782-4779-9a85-e6cf22935d93
    servername: ams1.fromblancwithlove.com
    tls: true
    skip-cert-verify: true
    udp: true
  - name: 🇵🇱_PL_波兰_1
    type: vless
    server: 151.245.192.223
    port: 443
    uuid: 05257864-a357-4891-a16a-abb6bad2e648
    servername: auto.malina24.xyz
    tls: true
    flow: xtls-rprx-vision
    client-fingerprint: firefox
    reality-opts:
      public-key: V6FabatADtcX7aO9KMjGCadJC4LuQ_5nRViab-z-nFQ
      short-id: abcd
    skip-cert-verify: true
    udp: true
  - name: 🇸🇬_SG_新加坡->🇺🇸_US_美国
    type: vmess
    server: v24.hdacd.com
    port: 30824
    uuid: cbb3f877-d1fb-344c-87a9-d153bffd5484
    alterId: 2
    cipher: auto
    tls: false
    skip-cert-verify: true
    udp: true
  - name: 🇭🇰_HK_中国香港_1
    type: trojan
    server: hkt.lajichang.xyz
    port: 2096
    password: e5c22f63-e473-496a-beff-fdc5655008c1
    sni: bing.com
    skip-cert-verify: true
    tls: false
    udp: true
  - name: 🇳🇱_NL_荷兰_3
    type: vless
    server: 185.229.191.13
    port: 8443
    uuid: 394f6981-a782-4779-9a85-e6cf22935d93
    servername: ams1.fromblancwithlove.com
    tls: true
    client-fingerprint: chrome
    skip-cert-verify: true
    udp: true
  - name: 🇭🇰_HK_中国香港->🇺🇸_US_美国
    type: vmess
    server: 103.182.97.12
    port: 30808
    uuid: cbb3f877-d1fb-344c-87a9-d153bffd5484
    alterId: 2
    cipher: auto
    tls: false
    skip-cert-verify: true
    udp: true
  - name: 🇳🇱_NL_荷兰_4
    type: vless
    server: 185.229.191.96
    port: 8443
    uuid: 394f6981-a782-4779-9a85-e6cf22935d93
    servername: ams1.fromblancwithlove.com
    tls: true
    client-fingerprint: chrome
    skip-cert-verify: true
    udp: true
proxy-groups:
  - name: 🚀 节点选择
    type: select
    proxies:
      - ♻️ 自动选择
      - DIRECT
      - 🇨🇦_CA_加拿大->🇩🇪_DE_德国
      - 🇳🇱_NL_荷兰
      - 🇭🇰_HK_中国香港
      - 🇳🇱_NL_荷兰_1
      - 🇷🇴_RO_罗马尼亚
      - 🇵🇱_PL_波兰
      - 🇨🇳_CN_中国
      - 🇺🇦_UA_乌克兰
      - 🇮🇩_ID_印度尼西亚->🇩🇪_DE_德国
      - 🇸🇬_SG_新加坡->🇫🇷_FR_法国
      - 🇸🇪_SE_瑞典
      - 🇹🇷_TR_土耳其
      - 🇳🇱_NL_荷兰_2
      - 🇺🇦_UA_乌克兰_1
      - 🇵🇱_PL_波兰_1
      - 🇸🇬_SG_新加坡->🇺🇸_US_美国
      - 🇭🇰_HK_中国香港_1
      - 🇳🇱_NL_荷兰_3
      - 🇭🇰_HK_中国香港->🇺🇸_US_美国
      - 🇳🇱_NL_荷兰_4
  - name: ♻️ 自动选择
    type: url-test
    proxies:
      - 🇨🇦_CA_加拿大->🇩🇪_DE_德国
      - 🇳🇱_NL_荷兰
      - 🇭🇰_HK_中国香港
      - 🇳🇱_NL_荷兰_1
      - 🇷🇴_RO_罗马尼亚
      - 🇵🇱_PL_波兰
      - 🇨🇳_CN_中国
      - 🇺🇦_UA_乌克兰
      - 🇮🇩_ID_印度尼西亚->🇩🇪_DE_德国
      - 🇸🇬_SG_新加坡->🇫🇷_FR_法国
      - 🇸🇪_SE_瑞典
      - 🇹🇷_TR_土耳其
      - 🇳🇱_NL_荷兰_2
      - 🇺🇦_UA_乌克兰_1
      - 🇵🇱_PL_波兰_1
      - 🇸🇬_SG_新加坡->🇺🇸_US_美国
      - 🇭🇰_HK_中国香港_1
      - 🇳🇱_NL_荷兰_3
      - 🇭🇰_HK_中国香港->🇺🇸_US_美国
      - 🇳🇱_NL_荷兰_4
    url: http://www.gstatic.com/generate_204
    interval: 300
    tolerance: 50
  - name: 🌍 国外媒体
    type: select
    proxies:
      - 🚀 节点选择
      - ♻️ 自动选择
      - 🎯 全球直连
      - 🇨🇦_CA_加拿大->🇩🇪_DE_德国
      - 🇳🇱_NL_荷兰
      - 🇭🇰_HK_中国香港
      - 🇳🇱_NL_荷兰_1
      - 🇷🇴_RO_罗马尼亚
      - 🇵🇱_PL_波兰
      - 🇨🇳_CN_中国
      - 🇺🇦_UA_乌克兰
      - 🇮🇩_ID_印度尼西亚->🇩🇪_DE_德国
      - 🇸🇬_SG_新加坡->🇫🇷_FR_法国
      - 🇸🇪_SE_瑞典
      - 🇹🇷_TR_土耳其
      - 🇳🇱_NL_荷兰_2
      - 🇺🇦_UA_乌克兰_1
      - 🇵🇱_PL_波兰_1
      - 🇸🇬_SG_新加坡->🇺🇸_US_美国
      - 🇭🇰_HK_中国香港_1
      - 🇳🇱_NL_荷兰_3
      - 🇭🇰_HK_中国香港->🇺🇸_US_美国
      - 🇳🇱_NL_荷兰_4
  - name: 📲 电报信息
    type: select
    proxies:
      - 🚀 节点选择
      - 🎯 全球直连
      - 🇨🇦_CA_加拿大->🇩🇪_DE_德国
      - 🇳🇱_NL_荷兰
      - 🇭🇰_HK_中国香港
      - 🇳🇱_NL_荷兰_1
      - 🇷🇴_RO_罗马尼亚
      - 🇵🇱_PL_波兰
      - 🇨🇳_CN_中国
      - 🇺🇦_UA_乌克兰
      - 🇮🇩_ID_印度尼西亚->🇩🇪_DE_德国
      - 🇸🇬_SG_新加坡->🇫🇷_FR_法国
      - 🇸🇪_SE_瑞典
      - 🇹🇷_TR_土耳其
      - 🇳🇱_NL_荷兰_2
      - 🇺🇦_UA_乌克兰_1
      - 🇵🇱_PL_波兰_1
      - 🇸🇬_SG_新加坡->🇺🇸_US_美国
      - 🇭🇰_HK_中国香港_1
      - 🇳🇱_NL_荷兰_3
      - 🇭🇰_HK_中国香港->🇺🇸_US_美国
      - 🇳🇱_NL_荷兰_4
  - name: Ⓜ️ 微软服务
    type: select
    proxies:
      - 🎯 全球直连
      - 🚀 节点选择
      - 🇨🇦_CA_加拿大->🇩🇪_DE_德国
      - 🇳🇱_NL_荷兰
      - 🇭🇰_HK_中国香港
      - 🇳🇱_NL_荷兰_1
      - 🇷🇴_RO_罗马尼亚
      - 🇵🇱_PL_波兰
      - 🇨🇳_CN_中国
      - 🇺🇦_UA_乌克兰
      - 🇮🇩_ID_印度尼西亚->🇩🇪_DE_德国
      - 🇸🇬_SG_新加坡->🇫🇷_FR_法国
      - 🇸🇪_SE_瑞典
      - 🇹🇷_TR_土耳其
      - 🇳🇱_NL_荷兰_2
      - 🇺🇦_UA_乌克兰_1
      - 🇵🇱_PL_波兰_1
      - 🇸🇬_SG_新加坡->🇺🇸_US_美国
      - 🇭🇰_HK_中国香港_1
      - 🇳🇱_NL_荷兰_3
      - 🇭🇰_HK_中国香港->🇺🇸_US_美国
      - 🇳🇱_NL_荷兰_4
  - name: 🍎 苹果服务
    type: select
    proxies:
      - 🚀 节点选择
      - 🎯 全球直连
      - 🇨🇦_CA_加拿大->🇩🇪_DE_德国
      - 🇳🇱_NL_荷兰
      - 🇭🇰_HK_中国香港
      - 🇳🇱_NL_荷兰_1
      - 🇷🇴_RO_罗马尼亚
      - 🇵🇱_PL_波兰
      - 🇨🇳_CN_中国
      - 🇺🇦_UA_乌克兰
      - 🇮🇩_ID_印度尼西亚->🇩🇪_DE_德国
      - 🇸🇬_SG_新加坡->🇫🇷_FR_法国
      - 🇸🇪_SE_瑞典
      - 🇹🇷_TR_土耳其
      - 🇳🇱_NL_荷兰_2
      - 🇺🇦_UA_乌克兰_1
      - 🇵🇱_PL_波兰_1
      - 🇸🇬_SG_新加坡->🇺🇸_US_美国
      - 🇭🇰_HK_中国香港_1
      - 🇳🇱_NL_荷兰_3
      - 🇭🇰_HK_中国香港->🇺🇸_US_美国
      - 🇳🇱_NL_荷兰_4
  - name: 🎯 全球直连
    type: select
    proxies:
      - DIRECT
      - 🚀 节点选择
      - ♻️ 自动选择
  - name: 🛑 全球拦截
    type: select
    proxies:
      - REJECT
      - DIRECT
  - name: 🍃 应用净化
    type: select
    proxies:
      - REJECT
      - DIRECT
  - name: 🆎 AdBlock
    type: select
    proxies:
      - REJECT
      - DIRECT
  - name: 🐟 漏网之鱼
    type: select
    proxies:
      - 🚀 节点选择
      - 🎯 全球直连
      - ♻️ 自动选择
      - 🇨🇦_CA_加拿大->🇩🇪_DE_德国
      - 🇳🇱_NL_荷兰
      - 🇭🇰_HK_中国香港
      - 🇳🇱_NL_荷兰_1
      - 🇷🇴_RO_罗马尼亚
      - 🇵🇱_PL_波兰
      - 🇨🇳_CN_中国
      - 🇺🇦_UA_乌克兰
      - 🇮🇩_ID_印度尼西亚->🇩🇪_DE_德国
      - 🇸🇬_SG_新加坡->🇫🇷_FR_法国
      - 🇸🇪_SE_瑞典
      - 🇹🇷_TR_土耳其
      - 🇳🇱_NL_荷兰_2
      - 🇺🇦_UA_乌克兰_1
      - 🇵🇱_PL_波兰_1
      - 🇸🇬_SG_新加坡->🇺🇸_US_美国
      - 🇭🇰_HK_中国香港_1
      - 🇳🇱_NL_荷兰_3
      - 🇭🇰_HK_中国香港->🇺🇸_US_美国
      - 🇳🇱_NL_荷兰_4
rule-providers:
  LocalAreaNetwork:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/refs/heads/master/Clash/LocalAreaNetwork.list
    path: ./rules/LocalAreaNetwork.yaml
  BanAD:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/refs/heads/master/Clash/BanAD.list
    path: ./rules/BanAD.yaml
  BanProgramAD:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/refs/heads/master/Clash/BanProgramAD.list
    path: ./rules/BanProgramAD.yaml
  BanEasyList:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/refs/heads/master/Clash/BanEasyList.list
    path: ./rules/BanEasyList.yaml
  BanEasyListChina:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/refs/heads/master/Clash/BanEasyListChina.list
    path: ./rules/BanEasyListChina.yaml
  BanEasyPrivacy:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/refs/heads/master/Clash/BanEasyPrivacy.list
    path: ./rules/BanEasyPrivacy.yaml
  GoogleCN:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/refs/heads/master/Clash/GoogleCN.list
    path: ./rules/GoogleCN.yaml
  SteamCN:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/refs/heads/master/Clash/Ruleset/SteamCN.list
    path: ./rules/SteamCN.yaml
  Microsoft:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/refs/heads/master/Clash/Microsoft.list
    path: ./rules/Microsoft.yaml
  Apple:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/refs/heads/master/Clash/Apple.list
    path: ./rules/Apple.yaml
  ProxyMedia:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/refs/heads/master/Clash/ProxyMedia.list
    path: ./rules/ProxyMedia.yaml
  Telegram:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/refs/heads/master/Clash/Telegram.list
    path: ./rules/Telegram.yaml
  ProxyLite:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/refs/heads/master/Clash/ProxyLite.list
    path: ./rules/ProxyLite.yaml
  ChinaDomain:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/refs/heads/master/Clash/ChinaDomain.list
    path: ./rules/ChinaDomain.yaml
  ChinaCompanyIp:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/refs/heads/master/Clash/ChinaCompanyIp.list
    path: ./rules/ChinaCompanyIp.yaml
rules:
  - RULE-SET,LocalAreaNetwork,🎯 全球直连
  - RULE-SET,BanAD,🛑 全球拦截
  - RULE-SET,BanProgramAD,🍃 应用净化
  - RULE-SET,BanEasyList,🆎 AdBlock
  - RULE-SET,BanEasyListChina,🆎 AdBlock
  - RULE-SET,BanEasyPrivacy,🆎 AdBlock
  - RULE-SET,GoogleCN,🎯 全球直连
  - RULE-SET,SteamCN,🎯 全球直连
  - RULE-SET,Microsoft,Ⓜ️ 微软服务
  - RULE-SET,Apple,🍎 苹果服务
  - RULE-SET,ProxyMedia,🌍 国外媒体
  - RULE-SET,Telegram,📲 电报信息
  - RULE-SET,ProxyLite,🚀 节点选择
  - RULE-SET,ChinaDomain,🎯 全球直连
  - RULE-SET,ChinaCompanyIp,🎯 全球直连
  - GEOIP,CN,🎯 全球直连
  - MATCH,🐟 漏网之鱼
